# Configuration Files

Loadmill test configuration files are an extension of the [YAML file format](https://en.wikipedia.org/wiki/YAML). The test configuration example below was converted into JSON to be used in [our REST API](https://docs.loadmill.com/integrations/rest-api#create-load-test) and demonstrates some of the key elements such as - [extractions](https://docs.loadmill.com/api-testing/test-suite-editor/set-parameters-extractions), [assertions](/test-editor/assertions.md) and parameter defaults.

{% code title="example.json" %}

```javascript
{
   "meta": {
      "description": "New Flow"
   },
   "requests": [
      {
         "description": "Basic flow",
         "method": "POST",
         "url": "httpbin.org/anything",
         "postData": {
            "text": "{\"parameter\":\"value\"}",
            "mimeType": "application/json"
         },
         "extract": [
            {
               "parameter_value": {
                  "jsonPath": "$.json.parameter"
               }
            }
         ],
         "assert": [
            {
               "check": "parameter_value"
            }
         ]
      }
   ],
   "parameters": [],
   "skipLoginFlow": true,
   "useCookies": true,
   "authenticationHeaders": [],
   "notifications": [],
   "concurrency": 50,
   "duration": 120000,
   "rampUp": 60000,
   "iterationDelay": 1000,
   "maxIterations": "5",
   "targetedCountries": []
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.loadmill.com/load-testing/configuration-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
